For the complete documentation index, see llms.txt. This page is also available as Markdown.

/orders

post

The same statistics from /orders_stats as well as all orders over that timeframe. The time is inclusive of start_time and exclusive of end_time, and is capped at a maximum window of 1 day by default. Repeatedly calling with a high limit may cause rate limiting.

Authorizations
Path parameters
chainstring · enumRequired

Chain to query for

Example: ethPossible values:
Query parameters
api_keystringRequiredExample: docs-demo
Body
end_timestring · date-timeRequired
include_unminedbooleanOptional

If true, all orders are returned. If false, only mined orders are returned.

limitinteger · nullableOptional

Maximum number of orders to aggregate.

Default: 10000
offsetintegerOptional
start_timestring · date-timeRequired
Responses
200Success
application/json
post/v1/{chain}/orders
POST /v1/{chain}/orders?api_key=text HTTP/1.1
Host: api.novarpc.xyz
Content-Type: application/json
Accept: */*
Content-Length: 71

{
  "start_time": "2025-11-25T00:00:00Z",
  "end_time": "2025-11-26T00:00:00Z"
}
200Success
{
  "stats": {
    "total_orders": 1440000,
    "included_orders": 1379563,
    "inclusion_rate": 0.958029861,
    "block_0_inclusion_rate": 0.915610417,
    "block_1_inclusion_rate": 0.032418952618453865,
    "total_refunds_received": "525600000",
    "mev_refunds": 59077440,
    "priority_fee_refunds": 466522560,
    "priority_fees_paid": 480951092
  },
  "orders": [
    {
      "order_hash": "0xc5039a7241d18baa14c04f239ed998371a12e2760d42fb871de28ba5e4f95b92",
      "order_type": "transaction",
      "received_auction_bids": 10,
      "unique_searchers": 4,
      "received_block": 24120019,
      "mined_block": 24120019,
      "received_at": "2026-02-02T11:07:27.872490Z",
      "tag": null,
      "refunds": [
        {
          "refunded_amount": "1350000000000000",
          "payout_tx_hash": "0x8b8419df61c7f9b47eac433d42eb535df8000e2e1badaf05cf80ac9b9c96a2be",
          "refund_payout_type": "onchain",
          "is_backrun": false
        }
      ],
      "tx_hashes": [
        "0x07df62dd12a3b1725f470f8f54d6290ebe4a0cdd2a9e080b8a7c42d8be823671"
      ],
      "prio_fee_paid": 1500,
      "mev_backruns": [
        "0x9698affbc1635b8fb1f87455fbf50514139bd38d8409c04d70c1023a85e219e1"
      ],
      "auction_bids": [
        {
          "searcher": 1,
          "amount": 100000,
          "received_at": "2026-02-02T11:07:27.901Z"
        },
        {
          "searcher": 2,
          "amount": 250000,
          "received_at": "2026-02-02T11:07:27.934Z"
        },
        {
          "searcher": 1,
          "amount": 500000,
          "received_at": "2026-02-02T11:07:27.961Z"
        }
      ],
      "dropped": null,
      "status": "confirmed"
    }
  ]
}

Last updated